Subject: bug#7811: closed (Re: bug#9621: 24.0.90; a characger not displayed)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Nov 2011 19:01:03 +0000

Your bug report

#9621: Emacs Bug (Unicode - Japanese)

which was filed against the emacs,w32 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9621: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9621
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9621: 24.0.90; a characger not displayed
From: Jason Rumney <[email-masked]>
To: [email-masked]
Cc: [email-masked], "Ota, Takaaki" <[email-masked]>
Date: Sun, 06 Nov 2011 02:57:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"Ota, Takaaki" <[email-masked]> writes:

> Do we have a conclusion to this issue?  24.0.91 is showing the same
> problem to me.  I want to know if this is my local problem or emacs
> problem.

I checked in a fix just now. Where previously the Vista machine I
borrowed used BatangChe font for kana, after the fix it uses MS Mincho.

Subject: Emacs Bug (Unicode - Japanese)
From: "Kuang, Yan Tian" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Sun, 9 Jan 2011 17:01:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

I found this little bug on Emacs that I thought I would report to you guys.

I am unable to display one Japanese character and only one character. I can display all other characters but just this one.

The character is: ー
The HTML code: &#12540;
According to the Unicode table, the character is on column: 1C, and row: 30E0

I also provided a screenshot.

I am using Emacs for Windows 7, I am able to get the character display on all my other editors but just Emacs. So I don’t think it is a font problem. I tried using the default font on Courier New Monospace and Lucida Console, both of them does not display the character. They both display all the other characters but just this one…

I was wondering if there’s a way to fix this problem?

Thank You

Yan